FREEFOAM-SURFACEREDISTRIBUTEPAR(1)

NAME
freefoam-surfaceRedistributePar - (Re)distribution of triSurface. Either takes an undecomposed surface or an already decomposed surface and redistribute it so each processor has all triangles that overlap its mesh.

SYNOPSIS

freefoam surfaceRedistributePar <triSurfaceMesh> <distributionType> [-help] [-keepNonMapped] [-srcDoc] [-doc] [-parallel] [-case <dir>]

DESCRIPTION

TODO write detailed description

OPTIONS

<triSurfaceMesh>
    Tri-Surface mesh to read.

<distributionType>
    TODO Detailed description.

-keepNonMapped
    Preserve surface outside of mesh bounds.

-case <dir>
    Specify the case directory

-parallel
    Run the case in parallel

-help
    Display short usage message

-doc
    Display Doxygen documentation page

-srcDoc
    Display source code

NOTE

    • best decomposition option is hierarchGeomDecomp since guarantees square decompositions.

    • triangles might be present on multiple processors.

    • merging uses geometric tolerance so take care with writing precision.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.